Subject: [OAUTH-WG] Status of RFC 7009

From: "Donald Coffin" <[email-masked]>
Date: Tue, 16 Dec 2014 16:35:11 -0500

What is the official status of RFC 7009 Oauth 2.0 Token Revocation?

Is it still a proposed standard or has it been accepted as an internet
standard.  The document implies it became a standard in August 2013, but
several sites, including the ISOC, list it as a proposed standard.

Best regards,

Don

Donald F. Coffin

Founder/CTO

REMI Networks

2335 Dunwoody Crossing Suite E

Dunwoody, GA 30338

Phone:      (949) 636-8571

Email:        <mailto:[email-masked]>
[email-masked]

---

From: "Richer, Justin P." <[email-masked]>
Date: Tue, 16 Dec 2014 22:08:02 +0000

If you'll notice, RFC6749 is also Proposed Standard, as are most of the RFCs published out of IETF working groups. This is actually the final state for many protocols, and it's not until many years of wide deployment that things move up the classification stack.

So in short, yes, it's a standard.

 -- Justin

On Dec 16, 2014, at 4:35 PM, Donald Coffin <[email-masked]<mailto:[email-masked]>> wrote:

Is it still a proposed standard or has it been accepted as an internet standard.  The document implies it became a standard in August 2013, but several sites, including the ISOC, list it as a proposed standard.

Best regards,
Don
Donald F. Coffin
Founder/CTO

REMI Networks

Phone:      (949) 636-8571
Email:       [email-masked]<mailto:[email-masked]>

_______________________________________________
OAuth mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/oauth

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 17 Dec 2014 07:45:25 +0100

Donald, let me also provide you with a reference to the standardization
process: https://www.ietf.org/about/standards-process.html (which
references https://www.ietf.org/about/process-docs.html#RFC7127)

As Justin said, standards come in different levels of maturity.

Ciao
Hannes

On 12/16/2014 11:08 PM, Richer, Justin P. wrote:
> If you'll notice, RFC6749 is also Proposed Standard, as are most of the
> RFCs published out of IETF working groups. This is actually the final
> state for many protocols, and it's not until many years of wide
> deployment that things move up the classification stack.
> 
> On Dec 16, 2014, at 4:35 PM, Donald Coffin
> <[email-masked] <mailto:[email-masked]>>
> wrote:
> 
>> standard.  The document implies it became a standard in August 2013,
>> but several sites, including the ISOC, list it as a proposed standard.
>>
>>  
>>
>> Best regards,
>>
>> Don
>>
>> Donald F. Coffin
>>
>> Founder/CTO
>>
>>  
>>
>> REMI Networks
>>
>> [email-masked] <mailto:[email-masked]>
> [email-masked]